// 通信中のアイコン画像表示
//   (引数loadingImagePathをundefinedにすると非表示)
var LoadingIcon = function(globalObj, loadingImagePath){
	// Error Check
	if(
			arguments.length	< 1
		||	typeof(globalObj)	== "undefined"
	){
		if(this.debugLvl >= 1){ alert(this.debugLvl, "Invalid parameter. => ["+ arguments.length + " : " + typeof(globalObj) + "]"); }
		throw -1;
	}

	this.globalObj = globalObj;

	this.loadingImagePath = loadingImagePath;
	this.loadingFlag = false;

	this.elem = document.createElement("IMG");
	this.elem.style.position = "absolute";
	this.elem.style.display  = "none";
}

LoadingIcon.prototype = {
	 start : function(){
		if(typeof(this.loadingImagePath) == "undefined"){ return; }

		// Error Check
		if(this.loadingFlag){
			this.globalObj.errorMsg(1, "LoadingIcon is already started.");
			throw -1;
		}

		this.loadingFlag = true;

		this.elem.src = this.loadingImagePath;
		document.body.appendChild(this.elem);

		this.elem.style.display = "block";

		this.elem.style.top = "50%";
		this.elem.style.marginTop = "-" + (this.elem.clientHeight / 2) + "px";
		
		this.elem.style.left = "50%";
		this.elem.style.marginLeft = "-" + (this.elem.clientWidth / 2) + "px";
	}

	,stop : function(){
		if(typeof(this.loadingImagePath) == "undefined"){ return; }

		// Error Check
		if(!this.loadingFlag){
			this.globalObj.errorMsg(1, "LoadingIcon is already stopped.");
			throw -1;
		}

		this.elem.style.display  = "none";
		this.elem.src = "";
		document.body.removeChild(this.elem);

		this.loadingFlag = false;
	}

	,isLoading : function(){
		return this.loadingFlag;
	}
}

